Jump to content
Sign in to follow this  
Ralvarez232

Aviation Trainer Launcher version 3.0.1.0

Recommended Posts

Hi. I have notice that a new Aviation Trainer Launcher version 3.0.1.0 is available to download. Is this trainer compatible with the current RXP GTN 750/650 version 2.5.28.0? Thanks!!

Best Regards

Roberto

Share this post


Link to post
Share on other sites
41 minutes ago, Ralvarez232 said:

Hi. I have notice that a new Aviation Trainer Launcher version 3.0.1.0 is available to download. Is this trainer compatible with the current RXP GTN 750/650 version 2.5.28.0? Thanks!!

Best Regards

Roberto

HI Roberto,
I am another user like you.  I highly recommend you take a few minutes to read recent topics on this forum and also in the RXP xPlane GTN forum here. You can create issues if you update only the Garmin Trainer. The most reliable method is to uninstall both, then reinstall using a fresh GTN installer direct from the Reality XP site's products page.  Please read related topics here.  Getting well past tiresome to continue typing the same over and over.

 


Frank Patton
MasterCase Pro H500M; Z490 WiFi MOB; i7 10700k 3.8 Ghz; H100i Pro; 32GB DDR4 3600; RTX 3070 TI 8GB; Gold RMX850X PSU; ASUS VG289 4K 27"
Honeycomb Alpha & Bravo, Crosswind 3's w/dampener.  
Former USAF meteorologist & ground weather school instructor. AOPA Member #07379126
                       
"I will never put my name on a product that does not have in it the best that is in me." - John Deere

Share this post


Link to post
Share on other sites

Hi,

Garmin can't stop making our life miserable in releasing trainer updates upon trainer updates and removing the older ones quickly from their servers.

Nevertheless, I've just updated both GTN installers (FltSim and XPlane) with the correct download link for the trainer 3.0.1.0.

Please note: the new Trainer 3.x.x.x launcher includes many different things:

- Launcher for standalone operation on your PC: we don't use nor care about this one.

- Database: our latest 2.5.28 update is compatible with the latest trainer DB

- Individual device trainers: the latest GTN 6.70 is not yet compatible with our GTN but our installers ships with the 6.64.4 compatible trainer in the interim.


Jean-Luc | reality-xp.com
This message from Reality XP is protected by a disclaimer: reality-xp.com/aboutrealityxp/email.html

Let your voice be heard and help us make a difference for you: Vote !
Open up communications with Reality-XP (Microsoft Flight Simulator Forums)

Share this post


Link to post
Share on other sites
14 hours ago, RXP said:

Hi,

Garmin can't stop making our life miserable in releasing trainer updates upon trainer updates and removing the older ones quickly from their servers.

Nevertheless, I've just updated both GTN installers (FltSim and XPlane) with the correct download link for the trainer 3.0.1.0.

Please note: the new Trainer 3.x.x.x launcher includes many different things:

- Launcher for standalone operation on your PC: we don't use nor care about this one.

- Database: our latest 2.5.28 update is compatible with the latest trainer DB

- Individual device trainers: the latest GTN 6.70 is not yet compatible with our GTN but our installers ships with the 6.64.4 compatible trainer in the interim.

@RXPProbably worth updating this pinned post:

 

Edited by Bert Pieke
  • Like 1

Bert

Share this post


Link to post
Share on other sites

Hello

The latest GTN750 installer (v2.5.28.0) - from an e-commerce file downloaded this afternoon (10th Feb 2021) from the RealityXP store - is still not allowing correct installation of the FSIM GTN750. When the installer setup file is run (using the installer's default installation paths only and with Windows Defender and Firewall both turned off), the installer throws up the following error message when trying to install the Garmin Trainer software - see screenshot:

eroDzcT.jpg

 

Clicking on the OK button in this dialog box allows the installation to proceed to apparent completion, installing trainer version 6.62.4 in the process.  But, when i go into P3D and select an aircraft configured with the RealityXP gauge, the gauge start-up screen indicates that no databases are installed - see screenshot below.

Tiue2w7.jpg

Just to confirm - Windows Defender and the Windows Firewall are both turned off for the whole RealityXP installation process and no other a/v or firewall software is on this computer.

As such, it looks like the latest rxpGTN-FSIM-Setup.exe is bugged!

Is there a workaround for this, or is a new installer required?

regards

 

 

 

 

Share this post


Link to post
Share on other sites

@KevinW Than you for the notice. It seems there is a typo in the installer and I'll cross check this ASAP. I'll report back in this discussion later.


Jean-Luc | reality-xp.com
This message from Reality XP is protected by a disclaimer: reality-xp.com/aboutrealityxp/email.html

Let your voice be heard and help us make a difference for you: Vote !
Open up communications with Reality-XP (Microsoft Flight Simulator Forums)

Share this post


Link to post
Share on other sites
17 hours ago, RXP said:

@KevinW Than you for the notice. It seems there is a typo in the installer and I'll cross check this ASAP. I'll report back in this discussion later.

See the corrective update is now available.  Thank you Jean-Luc.

  • Like 1

Frank Patton
MasterCase Pro H500M; Z490 WiFi MOB; i7 10700k 3.8 Ghz; H100i Pro; 32GB DDR4 3600; RTX 3070 TI 8GB; Gold RMX850X PSU; ASUS VG289 4K 27"
Honeycomb Alpha & Bravo, Crosswind 3's w/dampener.  
Former USAF meteorologist & ground weather school instructor. AOPA Member #07379126
                       
"I will never put my name on a product that does not have in it the best that is in me." - John Deere

Share this post


Link to post
Share on other sites

@fppilot you beat me with the "I'll report back later"!

Thank you again for all the assistance you're offering on the forum!!


Jean-Luc | reality-xp.com
This message from Reality XP is protected by a disclaimer: reality-xp.com/aboutrealityxp/email.html

Let your voice be heard and help us make a difference for you: Vote !
Open up communications with Reality-XP (Microsoft Flight Simulator Forums)

Share this post


Link to post
Share on other sites

I have just downloaded the latest RXP installer for FSX/P3D from their website. Installed them like I did before when installed it. Same with the Garmin trainer (triggered by RXP setup - not separate). But after I gone through all the steps I'm getting now the same "Database not found". The info during the startup of the GTN inside the cockpit shows at least the expected version 6.62.4 TRNG. Also RXP seems to be up-to-date: first I have just downloaded the installer few minutes ago and second the updater says so. Finally my database folder has files in it. So where is my database? Do I'm missing something which has changed since my last usage of RXP several months ago?

Edit: I have just uninstalled the trainer and run the trainer setup (downloaded by RXP installer before and stored in %ProgramData%) again. Now I have only the GTN trainer 6.70 and no longer 6.62. Also when I run the update checked of RXP it says "RealityXP Garmin GTN (FltSim) 2.5.28.2 is currently the newest version available." While the pinned post in this sub forum says the latest version is 2.5.28.3. This is getting confusing. And remembers me why I haven't used this stuff for several months now. The trainer itself at least does no longer complain missing databases. But since RXP is not compatible with 6.70 it doesn't help.

Edited by svero

Share this post


Link to post
Share on other sites

I believe there are some files which were not overwritten during installation of the latest update. 

Do you run anything "as-admin" by any chance? If you do, you shouldn't, because running as-admin triggers a different environment for programs, registry keys, paths, and can make a program subsequently not running as-admin failing to locate the same keys and paths.

Otherwise, did you reboot the computer between uninstalling the old and installing the new? Usually it is not needed but it might be some files were locked out and prevented the installer to replacing them.

In any case, the installation process is straightforward:

- Installer detects whether you have the latest trainer launcher (3.0.1.0) and offers to download and install it if you don't have it.

- When the Garmin launcher installer runs, you'll install the launcher of course, and the databases.

- The RXP software installer also embeds and installs GTN trainer 6.62.4. We're still evaluating the GTN trainer 6.70 and it is not compatible yet.

- If anything fails, you usually just have to re-run the RXP software installer which will skip what you already have installed automatically. Otherwise if this fails too, you can always uninstall the trainer and the RXP software, reboot (just in case), then reinstall again.

- If after all this it doesn't work (black screen for example), always check the RXP log files first for clues (anti-virus, other error messages).

 

  • Like 1

Jean-Luc | reality-xp.com
This message from Reality XP is protected by a disclaimer: reality-xp.com/aboutrealityxp/email.html

Let your voice be heard and help us make a difference for you: Vote !
Open up communications with Reality-XP (Microsoft Flight Simulator Forums)

Share this post


Link to post
Share on other sites

Okay, I went again through the whole installation. After removing all artifacts I found anywhere (including the registry). This time not only the trainer but also RXP itself. And I did not started the trainer after. This seems to be the "magic". As I have now also a database in the "old" trainer. The RXP update checker still says 2.5.28.2 instead of 2.5.28.3. But I can live with this 😁

BTW: it was a fresh installation yesterday. No update of an existing version. As I haven't used RXP for a long time. So it was never installed on this current system here.

Share this post


Link to post
Share on other sites

Ok I'm sorry for the confusion with the version number. It is a typo in the release notes but the latest version is in fact 2.5.28.2

I'll update the release notes and online files to reflect this right now, but it doesn't change anything if you already have installed it because it is the latest version alright.

Thank you for catching this one up!

Edited by RXP

Jean-Luc | reality-xp.com
This message from Reality XP is protected by a disclaimer: reality-xp.com/aboutrealityxp/email.html

Let your voice be heard and help us make a difference for you: Vote !
Open up communications with Reality-XP (Microsoft Flight Simulator Forums)

Share this post


Link to post
Share on other sites

Create an account or sign in to comment

You need to be a member in order to leave a comment

Create an account

Sign up for a new account in our community. It's easy!

Register a new account

Sign in

Already have an account? Sign in here.

Sign In Now
Sign in to follow this  

  • Tom Allensworth,
    Founder of AVSIM Online


  • Flight Simulation's Premier Resource!

    AVSIM is a free service to the flight simulation community. AVSIM is staffed completely by volunteers and all funds donated to AVSIM go directly back to supporting the community. Your donation here helps to pay our bandwidth costs, emergency funding, and other general costs that crop up from time to time. Thank you for your support!

    Click here for more information and to see all donations year to date.
  • Donation Goals

    AVSIM's 2020 Fundraising Goal

    Donate to our annual general fundraising goal. This donation keeps our doors open and providing you service 24 x 7 x 365. Your donation here helps to pay our bandwidth costs, emergency funding, and other general costs that crop up from time to time. We reset this goal every new year for the following year's goal.


    53%
    $13,405.00 of $25,000.00 Donate Now
×
×
  • Create New...